<form [formGroup]="form">
  <mat-form-field>
    <mat-label *ngIf="label">{{ label }}</mat-label>
    <input formControlName="search" matInput />
    <mat-icon *ngIf="searchFC.value" (click)="clearInput()" matIconSuffix
      >close</mat-icon
    >
  </mat-form-field>
</form>
